package com.hw.ems.base.mapper;

import com.hw.ems.base.domain.BaseMonitorInfo;
import com.hw.ems.base.domain.BasePublicUser;
import com.hw.ems.base.domain.vo.MonitorVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * 公摊用户Mapper接口
 *
 * @author yangwl
 * @date 2023-04-24
 */
public interface BasePublicUserMapper
{
    /**
     * 查询公摊用户
     *
     * @param id 公摊用户主键
     * @return 公摊用户
     */
    public BasePublicUser selectBasePublicUserById(Long id);

    /**
     * 查询公摊用户列表
     *
     * @param basePublicUser 公摊用户
     * @return 公摊用户集合
     */
    public List<BasePublicUser> selectBasePublicUserList(BasePublicUser basePublicUser);

    /**
     * 新增公摊用户
     *
     * @param basePublicUser 公摊用户
     * @return 结果
     */
    public int insertBasePublicUser(BasePublicUser basePublicUser);

    /**
     * 修改公摊用户
     *
     * @param basePublicUser 公摊用户
     * @return 结果
     */
    public int updateBasePublicUser(BasePublicUser basePublicUser);

    /**
     * 删除公摊用户
     *
     * @param id 公摊用户主键
     * @return 结果
     */
    public int deleteBasePublicUserById(Long id);

    /**
     * 批量删除公摊用户
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBasePublicUserByIds(String[] ids);

    List<MonitorVo> selectlistChild(Long id);

    List<BasePublicUser> selectPublicUserList(String[] ids);

    List<BaseMonitorInfo> selectDistinctPublicMonitor(@Param("ids") String[] ids);

    BigDecimal queryPublicMonitorDnbExpend(@Param("ids") String[] ids, @Param("startTime")String startTime, @Param("endTime")String endTime);

    BigDecimal queryPublicMonitorWaterExpend(@Param("ids") String[] ids, @Param("startTime")String startTime, @Param("endTime")String endTime);
}
